Bug 751652 - Review Request: rippit - The no-nonsense multimedia ripper.
Summary: Review Request: rippit - The no-nonsense multimedia ripper.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-11-07 03:18 UTC by Torrie Fischer
Modified: 2015-12-11 16:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 16:10:52 UTC


Attachments (Terms of Use)

Description Torrie Fischer 2011-11-07 03:18:36 UTC
Spec URL: http://wm161.net/~tdfischer/rippit.spec
SRPM URL: http://wm161.net/~tdfischer/rippit-0.1.0-1.fc15.src.rpm
Description: Rippit is the no-nonsense multimedia ripper.

You want frills? Bessl and whistles? Don't use rippit.
If you want your media off of fragile optical storage as fast as you can and in
lossless quality, use rippit. Rippit doesn't care how you've organized your
music. Rippit doesn't care if you can tell the difference between a 128kbps and
32kbps mp3 file. Rippit loves you for who you are, and whats better than that?

For information, I am upstream for Rippit.

Here's a koji scratch build of rippit 0.1.0: http://koji.fedoraproject.org/koji/taskinfo?taskID=3493218

Comment 1 Ricardo Rocha 2011-11-08 16:49:59 UTC
Here's an informal review for the package.

Also part of my sponsorship process, tracked at:
https://bugzilla.redhat.com/show_bug.cgi?id=749132

General things:

1) Unless you're targeting EPEL, you can probably drop the BuildRoot.
http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


 +:ok, =:needs attention, -:needs fixing

MUST Items:
[-] MUST: rpmlint must be run on every package.
rpmlint is not silent:
rippit.x86_64: W: spelling-error %description -l en_US Bessl -> Bess, Bessel, Bess l
rippit.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
- small things, i guess it's bells and loss-less.

rippit.src: W: invalid-url Source0: rippit-0.1.0.tar.bz2
- please provide the full url to the file, looking around i could find it at:
https://fedorahosted.org/releases/r/i/rippit/rippit-0.1.0.tar.bz2

rippit.x86_64: E: standard-dir-owned-by-package /usr/share/man/man1
- have a look at:
http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

you should not own {%_mandir}/man1, better to explicitly:
%{_mandir}/man1/rippit.1*

rippit-debuginfo.x86_64: E: debuginfo-without-sources
# rpmlint -I debuginfo-without-sources
debuginfo-without-sources:
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

And indeed, from the log flags are not taken into account:
...
cd /builddir/build/BUILD/rippit-0.1.0/src && /usr/lib64/ccache/gcc   -Wall -I/bu
ilddir/build/BUILD/rippit-0.1.0/src -I/usr/include/gstreamer-0.10 -I/usr/include
/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/ne
on    -o CMakeFiles/rippit.dir/rippit.c.o   -c /builddir/build/BUILD/rippit-0.1.
0/src/rippit.c
...

This is probably because you're explicitly setting CMAKE_C_FLAGS in your CMakeLists.txt, please remove it.

3 packages and 0 specfiles checked; 2 errors, 1 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[=] MUST: The package must meet the Packaging Guidelines

Issues described in other parts of this review.

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[=] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
# md5sum rippit-0.1.0.tar.bz2*
09d96ada3d12c9881d634c2f0583181b  rippit-0.1.0.tar.bz2
09d96ada3d12c9881d634c2f0583181b  rippit-0.1.0.tar.bz2_srcrpm

Ok, but please add the proper url to the spec file.

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[-] MUST: Packages must not own files or directories already owned by other packages.

Package owns %{_mandir}/man1, it shouldn't (see above).

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

Comment 2 Torrie Fischer 2011-12-20 03:28:20 UTC
I addressed all the issues except for the spelling of 'lossless' which is the correct spelling in this context.

.spec and .src.rpm re-uploaded to the original URLs.

Comment 3 Michael S. 2012-03-18 23:00:25 UTC
Ricardo, since you are now a packager, would you mind taking the review, or I can take it ? ( since you did the hard work, I think it would be fair for you to finish it, but if you are too busy, I can take care of it )

Comment 4 Ricardo Rocha 2012-03-19 09:45:49 UTC
Ah sorry. I'll take it, just somehow it got forgotten.

Give me one or two days and i'll finish it.

Comment 5 Ricardo Rocha 2012-03-19 20:28:01 UTC
Confirmed all issues were addressed as requested.

APPROVED.

Comment 6 Michael S. 2012-05-25 17:16:06 UTC
Trever, can you set the proper flag ( ie, fedora-cvs to ? ), following the process on https://fedoraproject.org/wiki/Package_Review_Process

Comment 7 Ricardo Rocha 2012-10-23 21:26:57 UTC
Ping?

Comment 8 James Hogarth 2015-12-04 03:11:35 UTC
There has been no response from the requester following package approval in years.

Torrie are you intending to do anything with this?

As per policy if there is no response within a week this bug will be closed.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 9 James Hogarth 2015-12-11 16:10:52 UTC
It's been over a week with no response from the requestor to the NeedsInfo flag.

Closing as per policy.


Note You need to log in before you can comment on or make changes to this bug.